ARG BASE_IMAGE
FROM $BASE_IMAGE

COPY plugins/* $PIT_PLUGINS_BASE_PATH/

ARG KUBERNETES_VERSION=1.17.17
ARG HELM_VERSION=3.5.3
ARG HELMFILE_VERSION=0.138.7
ARG SOPS_VERSION=3.5.0
ARG ARGO_VERSION=3.0.10

ENV PIT_HELM_BASE_PATH=/helm
ENV PIT_ARGO_BASE_PATH=/argo

RUN powerodit install_deploy \
	&& mkdir -p $PIT_HELM_BASE_PATH $PIT_ARGO_BASE_PATH

WORKDIR $PIT_HELM_BASE_PATH/

COPY chart/ $PIT_HELM_BASE_PATH
COPY argo/ $PIT_ARGO_BASE_PATH
